Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1718347

Summary: python-nose-parameterized fails to build with Python 3.8
Product: [Fedora] Fedora Reporter: Petr Viktorin (pviktori) <pviktori>
Component: python-nose-parameterizedAssignee: Miro Hrončok <mhroncok>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 32CC: echevemaster, mhroncok, mplch
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-17 01:44:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1750908, 1750909, 1686977    

Description Petr Viktorin (pviktori) 2019-06-07 14:18:31 UTC
python-nose-parameterized fails to build with Python 3.8.0b1.

Several tests fail with "AssertionError: uh oh, unittest changed a local variable name".

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.8/fedora-rawhide-x86_64/00926466-python-nose-parameterized/

For all our attempts to build python-nose-parameterized with Python 3.8, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/python-nose-parameterized/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.8:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Let us know here if you have any questions.

Comment 1 Miro Hrončok 2019-07-10 15:06:21 UTC
This might be relevant: https://github.com/wolever/parameterized

	
Eduardo, could you have a look please?

Comment 2 Miro Hrončok 2019-07-30 14:46:36 UTC
I meant https://github.com/wolever/parameterized/pull/75

Eduardo?

Comment 3 Ben Cotton 2019-08-13 17:03:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2019-08-13 18:52:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Miro Hrončok 2019-08-14 22:24:45 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 6 Miro Hrončok 2019-08-21 16:35:30 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 7 Miro Hrončok 2019-08-21 17:29:29 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 8 Miro Hrončok 2019-09-16 08:39:23 UTC
This issue is blocking the Python 3.8 rebuilds. If this package won't build with 3.8, it won't be installable, along with all its dependent packages, in Fedora 32.
Furthermore, as it fails to install, its dependent packages will fail to install and/or build as well.

Could you please look into this?

Comment 9 Eduardo Echeverria 2019-10-04 11:25:51 UTC
Yes I can do it thnks

Comment 10 Ben Cotton 2020-02-11 15:40:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 11 Miro Hrončok 2020-02-29 17:33:08 UTC
Eduardo, should we retire the package or can you fix it in the time of Fedora 32?

Comment 12 Miro Hrončok 2020-03-02 13:47:35 UTC
Note that nose is deprecated: https://fedoraproject.org/wiki/Changes/DeprecateNose
And this is a leaf package. I strongly suggest we retire it.

Comment 13 Eduardo Echeverria 2020-03-03 15:37:27 UTC
If nose is deprecated, it's better to deprecate it, Let's do that

Comment 14 Miro Hrončok 2020-03-03 23:35:37 UTC
Retired. Will obsolete from fedora-obsolete-packages.

Comment 16 Fedora Update System 2020-03-13 16:22:44 UTC
FEDORA-2020-395c85562a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-395c85562a

Comment 17 Fedora Update System 2020-03-13 18:33:19 UTC
fedora-obsolete-packages-32-41, python-notebook-6.0.2-4.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-395c85562a

Comment 18 Fedora Update System 2020-03-17 01:44:38 UTC
fedora-obsolete-packages-32-41, python-notebook-6.0.2-4.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.